
From: Andi Kleen <ak@muc.de>

Add missing memory clobbers to find_first_bit() and find_first_zero_bit().

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-i386/bitops.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/asm-i386/bitops.h~i386-bitops-memory-clobbers include/asm-i386/bitops.h
--- 25/include/asm-i386/bitops.h~i386-bitops-memory-clobbers	2004-05-31 21:36:45.604322056 -0700
+++ 25-akpm/include/asm-i386/bitops.h	2004-05-31 21:36:45.609321296 -0700
@@ -290,7 +290,7 @@ static __inline__ int find_first_zero_bi
 		"shll $3,%%edi\n\t"
 		"addl %%edi,%%edx"
 		:"=d" (res), "=&c" (d0), "=&D" (d1), "=&a" (d2)
-		:"1" ((size + 31) >> 5), "2" (addr), "b" (addr));
+		:"1" ((size + 31) >> 5), "2" (addr), "b" (addr) : "memory");
 	return res;
 }
 
@@ -318,7 +318,7 @@ static __inline__ int find_first_bit(con
 		"shll $3,%%edi\n\t"
 		"addl %%edi,%%eax"
 		:"=a" (res), "=&c" (d0), "=&D" (d1)
-		:"1" ((size + 31) >> 5), "2" (addr), "b" (addr));
+		:"1" ((size + 31) >> 5), "2" (addr), "b" (addr) : "memory");
 	return res;
 }
 
_
